Subject: bug#5653: 23.1; pdbtrack isn't parsing valid pdb output or creating an interactive debugging buffer (python.el)

From: Chong Yidong <[email-masked]>
Date: Mon, 10 May 2010 16:52:10 -0400

Jeremy Whitlock <[email-masked]> writes:

>> Attached is a patch that fixes this issue.  Basically, Python (pdb)
>> is passing strings to Emacs with ^M in them.  My patch, attached and
>> pasted in this email just in case, strip the carriage return from the
>> string and after that, pdb starts working as expected.  Here is the
>> patch, generated from "git format-patch":
>
>
> There hasn't been any noticeable progress on this based on the issue
> tracker.  The intent of this message isn't to bug anyone but I would
> like to know if the patch was usable or if you'd like to suggest
> another approach for fixing this issue.  Just let me know.

Sorry, I have not had the time to review the patch.  I'll do it as soon
as I can.